> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/transaction30api/api-description/ticket-json-format-description/acknowledgement-messages.md).

# Acknowledgment Messages

<table><thead><tr><th width="115.0677490234375" align="center">Source</th><th width="55.919189453125" align="center"></th><th width="114.782958984375" align="center">Destination</th></tr></thead><tbody><tr><td align="center"><strong>Client</strong></td><td align="center"><strong>→</strong></td><td align="center"><strong>MTS</strong></td></tr></tbody></table>

Please note that acknowledgment messages are expected to be received in a predefined period to be processed by the MTS service. (Default acceptance period is 10 seconds).

**Envelope and Content table:**

The envelope provides the Content's (Acknowledgment messages) context and contains the following fields (besides Content):

* operatorId
* correlationId
* timestampUtc
* operation
* version

<table data-full-width="true"><thead><tr><th width="351">Example</th><th width="132.84454345703125">Field Name</th><th>Field Description</th><th width="100">Mandatory/ Optional</th><th width="100">Data Type</th></tr></thead><tbody><tr><td><pre><code>{
</code></pre></td><td><br></td><td><br></td><td><br></td><td><br></td></tr><tr><td><pre><code>  "operatorId": 9985,
</code></pre></td><td>operatorId</td><td>ID to uniquely identify the client from which the ticket originated,<br>ID is provided to the client by Sportradar,<br>The client is obliged to include it in every ticket</td><td>M</td><td>Integer</td></tr><tr><td><pre><code>  "content": {
        .........
        .........
   },     
</code></pre></td><td>content</td><td>See Content object description below</td><td>M</td><td>Object</td></tr><tr><td><pre><code>  "correlationId": "623dHlyMq82",
</code></pre></td><td>correlationId</td><td>Client defined string to facilitate the request-response pairing,<br>Sportradar is obliged to return the same string in every response</td><td>M</td><td>String</td></tr><tr><td><pre><code>  "timestampUtc": 1678357235000,
</code></pre></td><td>timestampUtc</td><td>Timestamp of ticket placement as submitted by the client (Unix time in milliseconds format),<br>minimal: 1,<br>maximum: 9223372036854776000</td><td>M</td><td>Integer</td></tr><tr><td><pre data-overflow="wrap"><code>  "operation": "ticket-placement-ack",
</code></pre></td><td>operation</td><td><p>In case of Acknowledgment messages - enumerator:</p><ul><li>"ticket-placement-ack"</li><li>"ticket-cancel-ack"</li><li>"ticket-cashout-ack"</li><li>"ticket-ext-settlement-ack"</li><li>"cashout-inform-ack"</li><li>"cashout-placement-ack"</li></ul></td><td>M</td><td>String</td></tr><tr><td><pre><code>  "version": "3.0"
</code></pre></td><td>version</td><td>Indicates the ticket format version</td><td>M</td><td>String</td></tr><tr><td>}</td><td><br></td><td><br></td><td><br></td><td><br></td></tr></tbody></table>

### Content object (Acknowledgment message) <a href="#mtsacknowledgementmessages-v3.0-contentcontentobject-acknowledgementmessage" id="mtsacknowledgementmessages-v3.0-contentcontentobject-acknowledgementmessage"></a>

This object constitutes the message itself and includes the following fields:

* type
* cancellationId or cashoutId or settlementId (depends on acknowledgment message type)
* ticketId
* ticketSignature (or cancellationSignature or cashoutSignature or settlementSignature - depends on acknowledgment message type)
* acknowledged

<table data-full-width="true"><thead><tr><th width="317.1640625">Example</th><th width="192.18841552734375">Field Name</th><th width="301.5989990234375">Field Description</th><th>Mandatory/ Optional</th><th width="100">Data Type</th></tr></thead><tbody><tr><td><pre><code>"content": {
</code></pre></td><td><br></td><td><br></td><td><br></td><td>Object</td></tr><tr><td><pre><code>    "type": "cancel-ack",
</code></pre></td><td>type</td><td><p>Declaration of content type, enumerator:</p><ul><li>ticket-ack</li><li>cancel-ack</li><li>cashout-ack</li><li>ext-settlement-ack</li><li>cashout-inform-ack</li><li>cashout-placement-ack</li></ul><p>Type relates to the envelope's "operation" field</p></td><td>M</td><td>String</td></tr><tr><td><pre data-overflow="wrap"><code>    "cancellationId": "CANC_2126",
</code></pre></td><td>cancellationId or<br>cashoutId or<br>settlementId</td><td><p>Not included if "type": "ticket-ack",</p><p>if "type"= "cancel-ack"→ cancellationId,<br>"type": "cashout-ack" → cashoutId,<br>"type": "ext-settlement-ack" → settlementId,<br>"type": "cashout-inform-ack" → cashoutId,<br>"type": "cashout-placement-ack" → cashoutId</p></td><td><p>M</p><p>except for "type": "ticket-ack"</p></td><td>String</td></tr><tr><td><pre data-overflow="wrap"><code>    "ticketId": "Ticket_343243827",
</code></pre></td><td>ticketId<br><br></td><td>ID of original ticket<br><br></td><td>M</td><td>String</td></tr><tr><td><pre data-overflow="wrap"><code>    "cancellationSignature": "HHDut7XIEl+SmjWB3x
DB0AIB6fUZVFOvmGKm6Rcvxm0=",
</code></pre></td><td>ticketSignature<br>(or cancellationSignature or cashoutSignature or settlementSignature)</td><td><p>Signature from MTS's response,</p><p><br>"type": "ticket-ack" → ticketSignature,<br>"type": "cancel-ack" → cancellationSignature,<br>"type": "cashout-ack" → cashoutSignature,<br>"type": "ext-settlement-ack" → settlementSignature<br>"type": "cashout-inform-ack" → cashoutSignature,<br>"type": "cashout-placement-ack" → cashoutSignature</p></td><td>M</td><td>String</td></tr><tr><td><pre data-overflow="wrap"><code>    "acknowledged": true
    },
</code></pre></td><td>acknowledged</td><td>Acknowledgment outcome</td><td>M</td><td>Boolean</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/transaction30api/api-description/ticket-json-format-description/acknowledgement-messages.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
